/**
 * Za 15 zabi z noa daje 1000$
 * jednorazowa nagroda
 */
 
#include <amxmodx>
#include <amxmisc>
#include <cstrike>

#include <challenge>

#define PLUGIN "Challenge Szybkie Info"
#define VERSION "1.0"
#define AUTHOR "R3X"

new const gszChallenge[]= "Zabij 15 przeciwnikow z noza";
new const gszAward[] 	= "+1000$";

new chid;

new gDone[33];

public plugin_init() {
	register_plugin(PLUGIN, VERSION, AUTHOR);
	
	//dodaj wyzwanie do listy
	chid = register_challenge(gszChallenge, gszAward);
	
	//wlacz automatyczne zlicznie zabic nozem
	challenge_uses_stats(CSW_KNIFE);
}

//Funkcja ulatwiajaca sprawdzenie czy gracz spelnia warunki wyzwania
hasAccess(id){
	return (ch_get_user_stats(id, CSW_KNIFE) >= 15);
}


public client_putinserver(id){
	gDone[id] = 0;
}
//aktualizacja tabeli od razu przy podlaczeniu sie gracza
public client_data_loaded(id){
	gDone[id] = hasAccess(id);
	if(gDone[id])
		challenge_done(id, chid, 0); //wykonanie bez informacji
}

//gracz dostal punkt
public client_gain_point(id){
	if(!gDone[id] && hasAccess(id)){
		//daj 1000$
		cs_set_user_money(id, cs_get_user_money(id)+1000);
		
		//oznacz jako wykonane i pokaz informacje
		challenge_done(id, chid);
		
		gDone[id] = 1;
	}
}

//Postep wyzwania
public challenge_progress(id, challenge, szProgress[], size){
	formatex(szProgress, size, "%d/%d", ch_get_user_stats(id, CSW_KNIFE), 15);
}
