/**
 * Za 10 podoe lub rozbroje paki, +10hp na start
 */
 
#include <amxmodx>
#include <amxmisc>
#include <hamsandwich>
#include <fakemeta>
#include <csx>

#include <challenge>


#define PLUGIN "Challenge Test"
#define VERSION "1.0"
#define AUTHOR "R3X"


new const gszChallenge[]= "Rozbroj lub podloz 10 bomb";
new const gszAward[] 	= "+10hp";

new CSW_CUSTOM;

new chid;

public plugin_init() {
	register_plugin(PLUGIN, VERSION, AUTHOR);
	
	//dodaj wyzwanie do listy
	chid = register_challenge(gszChallenge, gszAward);
	
	//zarejestruj wlasna statystyke
	CSW_CUSTOM = challenge_custom_weapon("custom#1");
	
	
	RegisterHam(Ham_Spawn, "player", "fwSpawn", 1);
}

//Funkcja ulatwiajaca sprawdzenie czy gracz spelnia warunki wyzwania
hasAccess(id){
	return (ch_get_user_stats(id, CSW_CUSTOM) >= 10);
}

//Przyznanie nagrody na spawnie
public fwSpawn(id){
	if(is_user_alive(id) && hasAccess(id)){
		//daj 10 HP
		set_pev(id, pev_health, pev(id, pev_health)+10.0);
		
		//oznacz jako wykonane i pokaz informacje
		challenge_done(id, chid);
	}
}

public bomb_planted(id){
	ch_add_user_stats(id, CSW_CUSTOM);//dodaj punkt
}

public bomb_defused(id){
	ch_add_user_stats(id, CSW_CUSTOM);//dodaj punkt
}

//aktualizacja tabeli od razu przy podlaczeniu sie gracza
public client_data_loaded(id){
	if(hasAccess(id))
		challenge_done(id, chid, 0); //wykonanie bez informacji
}

//Postep wyzwania
public challenge_progress(id, challenge, szProgress[], size){
	formatex(szProgress, size, "%d/%d", ch_get_user_stats(id, CSW_CUSTOM), 10);
}
