/**
 * 2 Wyzwania w 1 pliku:
 *
 * Za 100 zabi z Glocka daje 10hp na start
 * Za 100 zabi z USP daje 10hp na start
 */
 
#include <amxmodx>
#include <amxmisc>
#include <hamsandwich>
#include <fakemeta>

#include <challenge>

#define PLUGIN "Challenge Test"
#define VERSION "1.0"
#define AUTHOR "R3X"

new const gszChallenge1[]= "Zabij 30 przeciwnikow z Glocka";
new const gszAward1[] 	= "+10hp";

new const gszChallenge2[]= "Zabij 30 przeciwnikow z USP";
new const gszAward2[] 	= "+10hp";

new chid1;
new chid2;

public plugin_init() {
	register_plugin(PLUGIN, VERSION, AUTHOR);
	
	//dodaj wyzwanie do listy
	chid1 = register_challenge(gszChallenge1, gszAward1);
	//wlacz automatyczne zlicznie zabic glockiem
	challenge_uses_stats(CSW_GLOCK18);
	
	//dodaj wyzwanie do listy
	chid2 = register_challenge(gszChallenge2, gszAward2);
	//wlacz automatyczne zlicznie zabic usp
	challenge_uses_stats(CSW_USP);
	
	RegisterHam(Ham_Spawn, "player", "fwSpawn", 1);
}
//Funkcja ulatwiajaca sprawdzenie czy gracz spelnia warunki wyzwania#1
hasAccess1(id){
	return (ch_get_user_stats(id, CSW_GLOCK18) >= 30);
}
//Funkcja ulatwiajaca sprawdzenie czy gracz spelnia warunki wyzwania#2
hasAccess2(id){
	return (ch_get_user_stats(id, CSW_USP) >= 30);
}

//Przyznanie nagrody na spawnie
public fwSpawn(id){
	if(is_user_alive(id)){
		if(hasAccess1(id)){
			//daj 10 HP
			set_pev(id, pev_health, pev(id, pev_health)+10.0);
			
			//oznacz jako wykonane i pokaz informacje
			challenge_done(id, chid1);
		}
		if(hasAccess2(id)){
			//daj 10 HP
			set_pev(id, pev_health, pev(id, pev_health)+10.0);
			
			//oznacz jako wykonane i pokaz informacje
			challenge_done(id, chid2);
		}
	}
}
//Aktualizacja tabeli od razu przy podlaczeniu sie gracza
public client_data_loaded(id){
	if(hasAccess1(id))
		challenge_done(id, chid1, 0); //wykonanie bez informacji
		
	if(hasAccess2(id))
		challenge_done(id, chid2, 0); //wykonanie bez informacji
}

//Postep wyzwania
public challenge_progress(id, challenge, szProgress[], size){
	if(challenge == chid1)
		formatex(szProgress, size, "%d/%d", ch_get_user_stats(id, CSW_GLOCK18), 30);
	else
		formatex(szProgress, size, "%d/%d", ch_get_user_stats(id, CSW_USP), 30);
}
